#include <stdio.h>
#define INFILENAME "input.txt"
#define BUFFERSIZE 64

typedef struct {
	char firstName[BUFFERSIZE];
	char lastName[BUFFERSIZE];
	int income;
} Person;

int main(void) {
	FILE *inputFile = fopen(INFILENAME, "r");
	if (inputFile == NULL) {
		printf("File %s not found.\n", INFILENAME);
		return -1;
	}

	Person peopleData[10];
	char lineBuffer[BUFFERSIZE];
	int i = 0;
	while (!feof(inputFile)) {
		fgets(lineBuffer, sizeof(lineBuffer), inputFile); // read one line to buffer

		int scanResult = sscanf(lineBuffer, "%s %s %d", peopleData[i].firstName, peopleData[i].lastName, &peopleData[i].income);
		if (scanResult == EOF) { // EOF is defined as -1
			printf("End of file!\n");
		} else {
			printf("%d variables were read in\n", scanResult);
		}
		
		// move on to save into next index only if the current one was successfully read, therefore skipping incomplete entries
		if (scanResult == 3) i++;
	}	
	int totalRead = i; // let's save how many entries were actually read in

	printf("\nData read in:\n");
	for (i=0; i<totalRead; i++) {
		printf("%3d) %s %s\t-%6d EUR\n", i+1, peopleData[i].firstName, peopleData[i].lastName, peopleData[i].income);
	}


    return 0;   
}
